Name:           perl-Device-I2C
Version:        0.06
Release:        1%{?dist}
Summary:        Control and read hardware devices with i2c(SMBus)
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Device-I2C/
Source0:        http://www.cpan.org/authors/id/S/SV/SVOLKOV/Device-I2C-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl >= 1:v5.10.1
BuildRequires:  perl(blib) >= 1.01
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)
Requires:       perl(Carp)
Requires:       perl(constant)
Requires:       perl(Fcntl)
Requires:       perl(IO::File)
Requires:       perl(strict)
Requires:       perl(warnings)
Requires:       perl(XSLoader)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is a perl interface to I2C interface using libi2c-dev library.

%prep
%setup -q -n Device-I2C-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE META.json README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Device*
%{_mandir}/man3/*

%changelog
* Tue Sep 21 2021 Luigi Iotti 0.06-1
- Specfile autogenerated by cpanspec 1.78.
